summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJack Moffitt <jack@xiph.org>2000-09-03 05:54:26 +0000
committerJack Moffitt <jack@xiph.org>2000-09-03 05:54:26 +0000
commite2cee72399a6b0d7986f582e86baf4e240ccaab6 (patch)
tree1d5ac0d04a81d4954932d3073ea096bd576abf2c /autogen.sh
downloadogg-e2cee72399a6b0d7986f582e86baf4e240ccaab6.tar.gz
Initial revision
git-svn-id: http://svn.xiph.org/trunk/ogg@618 0101bb08-14d6-0310-b084-bc0e0c8e3800
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..5b2c05d
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# (basically ripped directly from enlightenment's autogen.sh)
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+cd "$srcdir"
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile libogg."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile libogg."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+echo "Generating configuration files for libogg, please wait...."
+
+echo " aclocal $ACLOCAL_FLAGS"
+aclocal $ACLOCAL_FLAGS
+echo " autoheader"
+autoheader
+echo " automake --add-missing"
+automake --add-missing
+echo " autoconf"
+autoconf
+
+$srcdir/configure "$@" && echo